---
hide:
  - navigation
icon: fontawesome/solid/user-group
description: "Contribute to chickenstats"
---

# :fontawesome-solid-user-group: **Contribute**

I appreciate any and all input or support. Feel free to contribute with bug reports or feature requests at
the **[GitHub issues page](https://github.com/chickenandstats/chickenstats/issues)**.
For anything longer term, I've set out my development plans at the
**[:octicons-project-roadmap-24: Roadmap](roadmap.md)**. 

`chickenstats` is designed to be as modular and user-friendly as possible. 
The **[:material-ruler-square: Design](backend/design.md)** page outlines how the different
pieces fit together, as well as the basic rules for accessing raw data.

You can also find reference materials for **[non-public class methods](backend/chicken_nhl.md)**
available from objects in `chickenstats.chicken_nhl.scrape`.
**[Nested functions for munging raw data](backend/evolving_hockey.md)** from
**[evolving-hockey.com](https://www.evolving-hockey.com)** can be found within `chickenstats.evolving_hockey.base`
and `chickenstats.evolving_hockey.stats`.

For contributing to the xG model, or for questions about the underlying research & data,
please see **[:material-google-analytics: xG Model](../xg_model/xg_model.md)**.

## :material-developer-board: **Development**

<div class="grid cards" markdown>

-   :octicons-issue-opened-16: **Known Issues**

    ---

    See known bugs & issues before reporting any new ones.

    [:simple-readthedocs: Read more](known_issues.md)

-   :octicons-project-roadmap-24: **Roadmap**

    ---

    See more information about future development of `chickenstats`

    [:simple-readthedocs: Read more](roadmap.md)

</div>

## :material-wrench: **Under the hood**

<div class="grid cards" markdown>

-   :material-ruler-square: `chickenstats` design

    ---

    Start here to understand more about the general design of `chickenstats`

    [:simple-readthedocs: Read more](backend/design.md)

-   :material-hockey-sticks: **`chicken_nhl`**

    ---

    See non-public methods and properties for `chickenstats.chicken_nhl`

    [:simple-readthedocs: Read more](backend/chicken_nhl.md)

-   :material-hockey-puck: **`evolving_hockey`**

    ---

    See nested functions for `chickenstats.evolving_hockey`

    [:simple-readthedocs: Read more](backend/evolving_hockey.md)

</div>

## :material-bug: **Bugs & feature requests**

Please report any bugs or issues via the `chickenstats` **[issues](https://github.com/chickenandstats/chickenstats/issues)** page, where you can also post feature requests.
Before doing so, please check the [roadmap](roadmap.md), there might already be plans to include your request. 

## :material-message: **Contact information**

Have something to say? You can find me on :simple-twitter: Twitter at **[@chickenandstats](https://twitter.com/chickenandstats)** or :material-email: 
email me at **[chicken@chickenandstats.com](mailto:chicken@chickenandstats.com)**.