---
icon: octicons/issue-opened-24
description: "Known issues in chickenstats"
---

# :octicons-issue-opened-24: **Known Issues**

Known issues either cannot be addressed, already have been addressed, or are on the roadmap to be addressed. 

See [:fontawesome-solid-user-group: Contribute](contribute.md) for the future development roadmap and more information on
how to contribute.

## :material-image-broken-variant: **Issues that can't be addressed**

### **API events feed**

#### **:octicons-issue-opened-16: 2021020562**

CHL at 2898 game seconds is not in the API events feed
    
#### **:octicons-issue-opened-16: 2021020767**

CHL at 3598 game seconds is not in the API events feed
    
#### **:octicons-issue-opened-16: 2021020882**

SHOT at 249, 1785, & 1786 game seconds are not in the API events feed
    
#### **:octicons-issue-opened-16: 2021020894**

SHOT by Boldy at 3507 game seconds is not in the API events feed

## :simple-ifixit: **Issues already addressed**

### **API events feed**

#### **:octicons-issue-closed-24: 2010021176**

Added penalty drawn player as the third event player to the API events feed (event_idx: 213, player ID: 8467396)

#### **:octicons-issue-closed-24: 2011020069**

Changed the first event player in the API events feed (event_idx: 660, player ID: 8473473)

#### **:octicons-issue-closed-24: 2012020095**

Added penalty drawn player as the third event player to the API events feed (event_idx: 139, player ID: 8468483)

#### **:octicons-issue-closed-24: 2012020341**

Added BENCH as player for bench minor penalty to the API events feed (event_idx: 656)

#### **:octicons-issue-closed-24: 2012020627**

Added penalty drawn player as the third event player to the API events feed (event_idx: 621, player ID: 8462129)

#### **:octicons-issue-closed-24: 2012020660**

Added BENCH as player for bench minor penalty to the API events feed (event_idx: 377)

#### **:octicons-issue-closed-24: 2012020671**

Changed the player who served penalty in the API events feed (event_idx: 680, player ID: 8470192)

#### **:octicons-issue-closed-24: 2012030224**

Added penalty drawn player as the third event player to the API events feed (event_idx: 594, player ID: 8475184)

#### **:octicons-issue-closed-24: 2013020305**

Added penalty drawn player as the third event player to the API events feed (event_idx: 392, player ID: 8475184)

#### **:octicons-issue-closed-24: 2013030142**

Added penalty drawn player as the third event player to the API events feed (event_idx: 727, player ID: 8470601)

#### **:octicons-issue-closed-24: 2013030155**

Added penalty drawn player as the third event player to the API events feed (event_idx: 309, player ID: 8476463)

#### **:octicons-issue-closed-24: 2013020445**

Swapped first and second players the API events feed (event_idx: 617)

#### **:octicons-issue-closed-24: 2014020120**

Added penalty drawn player as the third event player to the API events feed (event_idx: 661, player ID: 8476854)

Added new player who took penalty, marked original player as one who served the penalty in the API events feed
(event_idx: 720, player ID: 8473492)

#### **:octicons-issue-closed-24: 2014020356**

Changed length of time elapsed for two events in the API events feed:

* (event_idx: 599, period_seconds: 970, game_seconds: 3370)
* (event_idx: 603, period_seconds: 1002, game_seconds: 3402)

#### **:octicons-issue-closed-24: 2014020417**

Added penalty drawn player as the third event player to the API events feed (event_idx: 280, player ID: 8468501)

#### **:octicons-issue-closed-24: 2014020506**

Added penalty drawn player as the third event player to the API events feed (event_idx: 377, player ID: 8468208)
Added penalty drawn player as the third event player to the API events feed (event_idx: 584, player ID: 8474613)

#### **:octicons-issue-closed-24: 2014020939**

Added penalty drawn player as the third event player to the API events feed (event_idx: 287, player ID: 8475218)

#### **:octicons-issue-closed-24: 2014020945**

Changed length of time elapsed for an event in the API events feed (event_idx: 585, period_seconds: 1069,
game_seconds: 3469)

#### **:octicons-issue-closed-24: 2014021127**

Changed length of time elapsed for three events in the API events feed:

* (event_idx: 754, period_seconds: 1124, game_seconds: 3524)
* (event_idx: 756, period_seconds: 1125, game_seconds: 3525)
* (event_idx: 755, period_seconds: 1127, game_seconds: 3527)

#### **:octicons-issue-closed-24: 2014021128**

Added penalty drawn player as the third event player to the API events feed (event_idx: 280, player ID: 8471426)

#### **:octicons-issue-closed-24: 2014021203**

Added penalty drawn player as the third event player to the API events feed (event_idx: 344, player ID: 8466378)

#### **:octicons-issue-closed-24: 2014030311**

Added penalty drawn player as the third event player to the API events feed (event_idx: 346, player ID: 8474613)

#### **:octicons-issue-closed-24: 2014030315**

Added penalty drawn player as the third event player to the API events feed (event_idx: 69, player ID: 8474151)

#### **:octicons-issue-closed-24: 2015020193**

Changed the first event player in the API events feed (event_idx: 389, player ID: 8475760)

#### **:octicons-issue-closed-24: 2015020401**

Added penalty drawn player as the third event player to the API events feed (event_idx: 167, player ID: 8470854)

#### **:octicons-issue-closed-24: 2015020839**

Added penalty drawn player as the third event player to the API events feed (event_idx: 417, player ID: 8476393)

#### **:octicons-issue-closed-24: 2015020917**

Removed the third event player from the API events feed (event_idx: 162)

#### **:octicons-issue-closed-24: 2015021092**

Added penalty drawn player as the third event player to the API events feed (event_idx: 199, player ID: 8474884)

#### **:octicons-issue-closed-24: 2016020049**

Added penalty drawn player as the third event player to the API events feed (event_idx: 347, player ID: 8475692)

#### **:octicons-issue-closed-24: 2016020177**

Changed length of time elapsed for an event in the API events feed (event_idx: 494, period_seconds: 360,
game_seconds: 2760)

#### **:octicons-issue-closed-24: 2016020256**

Removed the third event player from the API events feed (event_idx: 210)

#### **:octicons-issue-closed-24: 2016020326**

Added penalty drawn player as the third event player to the API events feed (event_idx: 175, player ID: 8475855)

#### **:octicons-issue-closed-24: 2016020433**

Added penalty drawn player as the third event player to the API events feed (event_idx: 366, player ID: 8471686)
Removed the third event player from the API events feed (event_idx: 364)

#### **:octicons-issue-closed-24: 2016020519**

Added penalty drawn player as the third event player to the API events feed (event_idx: 335, player ID: 8471676)

#### **:octicons-issue-closed-24: 2016020625**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 630)

#### **:octicons-issue-closed-24: 2016020883**

Added penalty drawn player as the third event player to the API events feed (event_idx: 385, player ID: 8469521)

#### **:octicons-issue-closed-24: 2016020963**

Changed length of time elapsed for an event in the API events feed (event_idx: 44, period_seconds: 40,
game_seconds: 40)

#### **:octicons-issue-closed-24: 2016021111**

Added penalty drawn player as the third event player to the API events feed (event_idx: 183, player ID: 8473504)

#### **:octicons-issue-closed-24: 2016021165**

Swapped first and second players in the API events feed (event_idx: 85)

#### **:octicons-issue-closed-24: 2016030216**

Added penalty drawn player as the third event player to the API events feed (event_idx: 567, player ID: 8474151)

#### **:octicons-issue-closed-24: 2017020033**

Added penalty drawn player as the third event player to the API events feed (event_idx: 390, player ID: 8477964)
Added penalty drawn player as the third event player to the API events feed (event_idx: 585, player ID: 8476892)

#### **:octicons-issue-closed-24: 2017020096**

Added penalty drawn player as the third event player to the API events feed (event_idx: 727, player ID: 8474066)

#### **:octicons-issue-closed-24: 2017020209**

Added BENCH as first player for bench minor in the API events feed (event_idx: 245)

#### **:octicons-issue-closed-24: 2017020233**

Added penalty drawn player as the third event player to the API events feed (event_idx: 375, player ID: 8470638)

#### **:octicons-issue-closed-24: 2017020548**

Added penalty drawn player as the third event player to the API events feed (event_idx: 726, player ID: 8468493)

#### **:octicons-issue-closed-24: 2017020601**

Added penalty drawn player as the third event player to the API events feed (event_idx: 319, player ID: 8473449)

#### **:octicons-issue-closed-24: 2017020615**

Added penalty drawn player as the third event player to the API events feed (event_idx: 626, player ID: 8473546)

#### **:octicons-issue-closed-24: 2017020796**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 687)

#### **:octicons-issue-closed-24: 2017020835**

Added penalty drawn player as the third event player to the API events feed (event_idx: 560, player ID: 8477215)

#### **:octicons-issue-closed-24: 2017020836**

Added penalty drawn player as the third event player to the API events feed (event_idx: 273, player ID: 8476346)

#### **:octicons-issue-closed-24: 2017021136**

Added penalty drawn player as the third event player to the API events feed (event_idx: 193, player ID: 8479206)
Added penalty drawn player as the third event player to the API events feed (event_idx: 262, player ID: 8475314)

#### **:octicons-issue-closed-24: 2017021161**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 590)

#### **:octicons-issue-closed-24: 2018020006**

Added penalty drawn player as the third event player to the API events feed (event_idx: 683, player ID: 8475793)

#### **:octicons-issue-closed-24: 2018020009**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 421)

#### **:octicons-issue-closed-24: 2018020049**

Added penalty drawn player as the third event player to the API events feed (event_idx: 155, player ID: 8479353)

#### **:octicons-issue-closed-24: 2018020115**

Added penalty drawn player as the third event player to the API events feed (event_idx: 248, player ID: 8475692)

#### **:octicons-issue-closed-24: 2018020122**

Added penalty drawn player as the third event player to the API events feed (event_idx: 235, player ID: 8477996)

#### **:octicons-issue-closed-24: 2018020153**

Added penalty drawn player as the third event player to the API events feed (event_idx: 212, player ID: 8478458)

#### **:octicons-issue-closed-24: 2018020211**

Added penalty drawn player as the third event player to the API events feed (event_idx: 661, player ID: 8471217)

#### **:octicons-issue-closed-24: 2018020309**

Added penalty drawn player as the third event player to the API events feed (event_idx: 76, player ID: 8476918)

#### **:octicons-issue-closed-24: 2018020363**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 299)

#### **:octicons-issue-closed-24: 2018020519**

Added penalty drawn player as the third event player to the API events feed (event_idx: 417, player ID: 8477941)

#### **:octicons-issue-closed-24: 2018020561**

Added penalty drawn player as the third event player to the API events feed (event_idx: 500, player ID: 8474190)

#### **:octicons-issue-closed-24: 2018020752**

Added penalty drawn player as the third event player to the API events feed (event_idx: 41, player ID: 8476917)

#### **:octicons-issue-closed-24: 2018020794**

Added penalty drawn player as the third event player to the API events feed (event_idx: 182, player ID: 8470187)

#### **:octicons-issue-closed-24: 2018020795**

Added penalty drawn player as the third event player to the API events feed (event_idx: 354, player ID: 8476918)

#### **:octicons-issue-closed-24: 2018020841**

Added penalty drawn player as the third event player to the API events feed (event_idx: 227, player ID: 8476455)

#### **:octicons-issue-closed-24: 2018020969**

Added penalty drawn player as the third event player to the API events feed (event_idx: 575, player ID: 8474150)

#### **:octicons-issue-closed-24: 2018021087**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 550)

#### **:octicons-issue-closed-24: 2018021124**

Added penalty drawn player as the third event player to the API events feed (event_idx: 237, player ID: 8479353)

#### **:octicons-issue-closed-24: 2018021171**

Added penalty drawn player as the third event player to the API events feed (event_idx: 551, player ID: 8471887)

#### **:octicons-issue-closed-24: 2019020006**

Added penalty drawn player as the third event player to the API events feed (event_idx: 288, player ID: 8478550)

#### **:octicons-issue-closed-24: 2019020136**

Added penalty drawn player as the third event player to the API events feed (event_idx: 424, player ID: 8478550)

#### **:octicons-issue-closed-24: 2019020147**

Added penalty drawn player as the third event player to the API events feed (event_idx: 28, player ID: 8478550)

#### **:octicons-issue-closed-24: 2019020179**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 573)

#### **:octicons-issue-closed-24: 2019020239**

Added penalty drawn player as the third event player to the API events feed (event_idx: 543, player ID: 8478463)

#### **:octicons-issue-closed-24: 2019020316**

Moved penalty player to served by, made BENCH as penalty player in the API events feed (event_idx: 428)

#### **:octicons-issue-closed-24: 2019020682**

Added penalty drawn player as the third event player to the API events feed (event_idx: 382, player ID: 8478550)

#### **:octicons-issue-closed-24: 2020020456**

Changed length of time elapsed for an event in the API events feed (event_idx: 360, period_seconds: 1068,
game_seconds: 2268)

#### **:octicons-issue-closed-24: 2020020846**
Changed second players for five events:

* (event_idx: 407, player 2 ID: 8475799)
* (event_idx: 409, player 2 ID: 8479987)
* (event_idx: 411, player 2 ID: 8479987)
* (event_idx: 413, player 2 ID: 8475790)
* (event_idx: 415, player 2 ID: 8476988)

#### **:octicons-issue-closed-24: 2020020860**

Changed length of time elapsed for an event in the API events feed (event_idx: 705, period_seconds: 270,
game_seconds: 3870)

#### **:octicons-issue-closed-24: 2021020482**

Changed the first event player in the API events feed (event_idx: 250, player ID: 8477465)

---

### **HTML events feed**

#### **:octicons-issue-closed-24: 2011020069**

Replaced "BOS #" with "BOS #17 LUCIC " in the event description in the HTML events feed (event_idx: 312)

#### **:octicons-issue-closed-24: 2011020553**

Changed the event description to "FLA #21 BARCH (10 MIN)" in the HTML events feed (event_idx: 294)

#### **:octicons-issue-closed-24: 2012020660**

Changed the event description to "NJD BENCH PS-HOOKING ON BREAKAWAY(0 MIN) NJD SERVED BY: #2 ZIDLICKY DRAWN BY:
FLA #42 HOWDEN" in the HTML events feed (event_idx: 150)

#### **:octicons-issue-closed-24: 2012020018**

Replaced bad jersey and number combinations in the HTML events feed
(replacements = {"EDM #9": "VAN #9", "VAN #93": "EDM #93", "VAN #94": "EDM #94"})

#### **:octicons-issue-closed-24: 2013020083**

Changed event time from "-16:0-120:00" to "5:000:00" in the HTML events feed 

#### **:octicons-issue-closed-24: 2013020274**

Changed event time from "-16:0-120:00" to "5:000:00" in the HTML events feed 

#### **:octicons-issue-closed-24: 2013020644**

Changed event time from "-16:0-120:00" to "5:000:00" in the HTML events feed 

#### **:octicons-issue-closed-24: 2013020971**

Changed first event time to "0:0020:00" in the HTML events feed (event_idx: 1)

#### **:octicons-issue-closed-24: 2014020120**

Changed the event description to "SJS TEAM PLAYER LEAVES BENCH - BENCH(2 MIN), OFF. ZONE SJS SERVED BY: #20 SCOTT
DRAWN BY: ANA #47 LINDHOLM" in the HTML events feed (event_idx: 341)

#### **:octicons-issue-closed-24: 2014020600**

Changed the event description to "CAR # BLOCKED BY BUF #6 WEBER, WRIST, DEF. ZONE" in the HTML events feed (event_idx: 328)

#### **:octicons-issue-closed-24: 2014020672**

Changed the event description to "NYR #22 HIT PIT #16 SUTTER, DEF. ZONE" in the HTML events feed (event_idx: 297)

#### **:octicons-issue-closed-24: 2014021118**

Changed event time from "-16:0-120:00" to "5:000:00" in the HTML events feed

#### **:octicons-issue-closed-24: 2015020193**

Changed the event description to "FLA #27 BJUGSTAD, WRIST, OFF. ZONE, 16 FT." in the HTML events feed (event_idx: 196)

#### **:octicons-issue-closed-24: 2015020904**

Changed event time from "-16:0-120:00" to "5:000:00" in the HTML events feed

#### **:octicons-issue-closed-24: 2015020917**

Changed the event description to "WSH #43 WILSON TRIPPING(2 MIN) OFF. ZONE DRAWN BY: MIN #46 SPURGEON"
in the HTML events feed (event_idx: 76)

#### **:octicons-issue-closed-24: 2016020256**

Changed the event description to "WSH #14 WILLIAMS ROUGHING(2 MIN) NEU. ZONE DRAWN BY: DET #21 TATAR"
in the HTML events feed (event_idx: 117)

#### **:octicons-issue-closed-24: 2016020625**

Changed the event description to "PIT HEAD COACH GAME MISCONDUCT(0 MIN) PIT SERVED BY: #61 OLEKSY, NEU. ZONE"
in the HTML events feed (event_idx: 311)

#### **:octicons-issue-closed-24: 2016021070**

Changed the event description to "TOR # HIT BOS # , DEF. ZONE" in the HTML events feed (event_idx: 206)

#### **:octicons-issue-closed-24: 2016021127**

Replaced "BOS #55 ACCIARI ( MIN), DEF. ZONE" with "BOS #55 ACCIARI MISCONDUCT (10 MIN), DEF. ZONE"
in the event description in the HTML events feed

#### **:octicons-issue-closed-24: 2017020463**

Changed event time from "-16:0-120:00" to "2:022:58" in the HTML events feed

#### **:octicons-issue-closed-24: 2017020796**

Changed the event description to "DET HEAD COACH GAME MISCONDUCT(0 MIN) DET SERVED BY: #3 JENSEN, NEU. ZONE"
in the HTML events feed (event_idx: 338)

#### **:octicons-issue-closed-24: 2017021161**

Changed the event description to "NSH HEAD COACH GAME MISCONDUCT(0 MIN) NSH SERVED BY: #2 BITETTO, NEU. ZONE"
in the HTML events feed (event_idx: 253)

#### **:octicons-issue-closed-24: 2018020009**

Changed the event description to "CHI TEAM FACE-OFF VIOLATION(2 MIN) CHI SERVED BY: #12 DEBRINCAT"
in the HTML events feed (event_idx: 231)

#### **:octicons-issue-closed-24: 2018020363**

Changed the event description to "NJD TEAM TOO MANY MEN/ICE(2 MIN) NJD SERVED BY: #44 WOOD, OFF. ZONE"
in the HTML events feed (event_idx: 156)

#### **:octicons-issue-closed-24: 2018020989**

Changed event time from "-16:0-120:00" to "5:000:00" in the HTML events feed

#### **:octicons-issue-closed-24: 2018021087**

Changed the event description to "TBL TEAM DELAY OF GAME(2 MIN) TBL SERVED BY: #10 MILLER, DEF. ZONE"
in the HTML events feed (event_idx: 289)

#### **:octicons-issue-closed-24: 2018021133**

Replaced "WSH TAKEAWAY - #71 CIRELLI" with "TBL TAKEAWAY - #71 CIRELLI" in the event description in the HTML events feed

#### **:octicons-issue-closed-24: 2019020179**

Changed the event description to "SJS HEAD COACH GAME MISCONDUCT (0 MIN), SERVED BY: #65 KARLSSON, DEF. ZONE"
in the HTML events feed (event_idx: 259)

#### **:octicons-issue-closed-24: 2019020316**

Changed the event description to "ANA #6 GUDBRANSON ROUGHING(2 MIN) SERVED BY: #24 ROWNEY, DEF. ZONE DRAWN BY:
WSH #21 HATHAWAY" in the HTML events feed (event_idx: 212)

#### **:octicons-issue-closed-24: 2021020224**

Replaced " - MTL #60 BELZILE VS BOS #92 NOSEK" with "MTL WON NEU. ZONE - MTL #60 BELZILE VS BOS #92 NOSEK"
in the event description in the HTML events feed

#### **:octicons-issue-closed-24: 2023020838**

Changed the event description to "FLA #17 RODRIGUES HIGH-STICKING(2 MIN), NEU. ZONE DRAWN BY: BUF #72 THOMPSON"
in the HTML events feed (event_idx: 216)

#### **:octicons-issue-closed-24: 2023021279**

Changed the event description to "PIT #10 O'CONNOR SLASHING(2 MIN), DEF. ZONE DRAWN BY: BOS #63 MARCHAND"
in the HTML events feed (event_idx: 264)

---

### **HTML rosters feed**

#### **:octicons-issue-closed-24: 2019020665**

Marked "ROSS JOHNSTON", "SEBASTIAN AHO", "CONNOR CARRICK", "JESPER BRATT", and "JACK HUGHES" as scratches in the HTML
roster feed

---
