---
hide:
  - navigation

icon: material/school
description: "chickenstats user guide"
---

# :material-school: **User Guide**

Start here for an introduction and guides to getting started with both `chickenstats.chicken_nhl` and
`chickenstats.evolving_hockey`, stick around for the example tutorials and gallery for inspiration.

??? info
    To be included in the gallery or original research, uou can find me on :simple-twitter: Twitter
    at **[@chickenandstats](https://twitter.com/chickenandstats)** or :material-email: email me
    at **[chicken@chickenandstats.com](mailto:chicken@chickenandstats.com)**.

For in-depth reference information, please consult the **[:material-bookshelf: Reference](../reference/reference.md)**


## :material-loading: **Usage & installation**

<div class="grid cards" markdown>

-   :material-download-box:{ .lg .middle } __Getting started__

    ---

    Start here to scrape hockey data with `chickenstats` in just a few minutes

    [:octicons-arrow-right-24: Getting started](usage/getting_started.md)

-   :material-information:{ .lg .middle } __Introduction__

    ---

    Start here for more detailed information about the package & module design

    [:simple-readthedocs: Read more](usage/introduction.md)

</div>

## :material-directions: **Module-specific guides**

<div class="grid cards" markdown>

-   :material-hockey-sticks: **chicken_nhl**

    ---

    Overview of basic `chicken_nhl` usage & functionalities

    [:simple-readthedocs: Read more](chicken_nhl/chicken_nhl.md)

-   :material-hockey-puck: **evolving_hockey**

    ---

    Overview of basic `evolving_hockey` usage & functionalities

    [:simple-readthedocs: Read more](evolving_hockey/evolving_hockey.md)

</div>

## :simple-futurelearn: **Tutorials**

<div class="grid cards" markdown>

-   :fontawesome-solid-map-location: **Shot Maps**

    ---

    Plot shot locations using `chicken_nhl`, `evolving_hockey`
    and `hockey_rink` libraries

    [:octicons-arrow-right-24: Go to page](tutorials/shot_maps.md)

-   :material-percent: **Faceoff win rate**

    ---

    Analyze faceoff performance using `evolving_hockey` & `matplotlib` libraries

    [:octicons-arrow-right-24: Go to page](tutorials/faceoff_wins.md)

-   :material-trending-up: **Goals Saved Above Expected**

    ---

    Analyze goalie performance using `evolving_hockey` & `matplotlib` libraries

    [:octicons-arrow-right-24: Go to page](tutorials/gsax.md)

</div>

## :simple-artstation: **Examples**

<div class="grid cards" markdown>

-   :material-view-gallery: **Gallery**

    ---

    Collection of charts produced using `chickenstats` & accompanying source code 

    [:octicons-arrow-right-24: Go to page](examples/gallery.md)

-   :fontawesome-solid-magnifying-glass-chart: **Original Research**

    ---

    Links to original research conducted & other works published using `chickenstats`

    [:octicons-arrow-right-24: Go to page](examples/original_research.md)

</div>
