---
hide:
  - navigation
icon: material/bookshelf
description: "Reference materials and information for chickenstats"
---

# :material-bookshelf: **Reference**

Home of in-depth explanations and debugging assistance. Navigate using the links below.
For more detailed walk-throughs or examples, please consult the **[:material-school: User Guide](../guide/guide.md)**.

You can also find reference materials for **[non-public class methods](../contribute/backend/chicken_nhl.md)**
available from objects in `chickenstats.chicken_nhl.scrape`.
**[Nested functions for munging raw data](../contribute/backend/evolving_hockey.md)** from
**[evolving-hockey.com](https://www.evolving-hockey.com)** can be found within `chickenstats.evolving_hockey.base`
and `chickenstats.evolving_hockey.stats`.

For the xG reference, or for questions about the underlying research & data,
please see **[:material-google-analytics: xG Model](../xg_model/xg_model.md)**.

## **Modules**

<div class="grid cards" markdown>

-   :material-hockey-sticks: `chicken_nhl`

    ---

    Scrape data from official NHL endpoints

    [:simple-readthedocs: Read more](chicken_nhl/scrape.md)

-   :material-hockey-puck: `evolving_hockey`

    ---

    Munge data from [Evolving Hockey](https://evolving-hockey.com)

    [:simple-readthedocs: Read more](evolving_hockey/stats.md)


</div>
